Subject: bug#65700: time when gcs-done is updated needs to be clarified

From: Shynur Xie <[email-masked]>
Date: Sat, 2 Sep 2023 13:00:59 +0000

I wrote a function which runs each time Emacs collects garbage, so I
added it to `post-gc-hook'.

That function cares about the value of `gcs-done' and the value of
`gc-elapsed'.
But it seems that `gcs-done' is updated after `post-gc-hook' is
executed?

Is this an intended behavior?  If so, I think the docstring of these
variables (such as `gcs-done', `gc-elapsed', ...) need to clarify when
the variable is updated.

v29.1